Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface WorkSubstituteRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

Deprecated. Use WorkSubstituteMBean instead.

    public interface WorkSubstituteRuntimeMBean

extends weblogic.management.runtime.RuntimeMBean

MBean for accessing runtime information about the worklist

Field Summary
`static String` | `NAME` Deprecated. bringing forward from impl to interface.

Method Summary
`String[]` | `addWorkSubstituteRules(WorkSubstituteRule[] workSubstituteRules)` Deprecated.
`WorkSubstituteRule[]` | `getAllWorkSubstituteRules()` Deprecated.
`String` | `getWorkSubstitute(String user, Date date)` Deprecated.
`WorkSubstituteRule` | `getWorkSubstituteRule(String ruleId)` Deprecated.
`WorkSubstituteRule[]` | `getWorkSubstituteRulesWithSource(String source)` Deprecated.
`WorkSubstituteRule[]` | `getWorkSubstituteRulesWithTarget(String target)` Deprecated.
`void` | `removeWorkSubstituteRules(String[] workSubstituteRuleIds)` Deprecated.
`void` | `updateWorkSubstituteRules(WorkSubstituteRule[] rules)` Deprecated.

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`addPropertyChangeListener, preDeregister, removePropertyChangeListener`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### NAME

    static final String NAME

  Deprecated.
  bringing forward from impl to interface.

  Since:
    9.0
  See Also:
    Constant Field Values

Method Detail

### getAllWorkSubstituteRules

    WorkSubstituteRule[] getAllWorkSubstituteRules()
                                                   throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### getWorkSubstituteRulesWithSource

    WorkSubstituteRule[] getWorkSubstituteRulesWithSource(String source)
                                                          throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### getWorkSubstituteRulesWithTarget

    WorkSubstituteRule[] getWorkSubstituteRulesWithTarget(String target)
                                                          throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### getWorkSubstitute

    String getWorkSubstitute(String user,
                             Date date)
                             throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### getWorkSubstituteRule

    WorkSubstituteRule getWorkSubstituteRule(String ruleId)
                                             throws MBeanException

  Deprecated.
  Throws:
    `MBeanException`

### updateWorkSubstituteRules

    void updateWorkSubstituteRules(WorkSubstituteRule[] rules)
                                   throws MBeanException

  Deprecated.
  Parameters:
    `rules` -
  Throws:
    `MBeanException`

### removeWorkSubstituteRules

    void removeWorkSubstituteRules(String[] workSubstituteRuleIds)
                                   throws MBeanException

  Deprecated.
  Parameters:
    `workSubstituteRuleIds` -
  Throws:
    `MBeanException`

### addWorkSubstituteRules

    String[] addWorkSubstituteRules(WorkSubstituteRule[] workSubstituteRules)
                                    throws MBeanException

  Deprecated.
  Parameters:
    `workSubstituteRules` -
  Returns:
  Throws:
    `MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD